ServerEvents.recipes(event => {

    event.shaped(
            Item.of('lethality:nightmare_sword'),
            [
                    ' AB',
                    'CDA',
                    'EF '
            ],
            {
                    E: 'armageddon_mod:creative_obliterator',
                    B: 'deepwaters:fopalsword',
                    A: 'lethality:annihilation_alloy',
                    F: 'ancient_elements:aeonite_sword',
                    C: 'lethality:devils_devastation',
                    D: 'lethality:gaels_greatsword'
            }
    )
    event.shaped(
            Item.of('lethality:gaels_greatsword'),
            [
                    '  A',
                    'BCD',
                    'EB '
            ],
            {
                    D: 'composite_material:etherite_sword',
                    E: 'terramity:sword_of_the_imprisoned',
                    C: 'armageddon_mod:the_duskfire_blade',
                    A: 'minecraft:stick',
                    B: 'lethality:annihilation_alloy'
            }
    )
    event.shaped(
            Item.of('ancient_elements:aeonite_helmet'),
            [
                    ' A ',
                    'BCD',
                    ' E '
            ],
            {
                    E: 'allthemodium:unobtainium_helmet',
                    D: 'armageddon_mod:helionite_armor_helmet',
                    B: 'composite_material:etherite_helmet',
                    A: 'ancient_elements:galactrium_helmet',
                    C: 'ancient_elements:alloy_of_elements'
            }
    )
    event.shaped(
            Item.of('ancient_elements:aeonite_chestplate'),
            [
                    ' A ',
                    'BCD',
                    ' E '
            ],
            {
                    E: 'allthemodium:unobtainium_chestplate',
                    A: 'ancient_elements:galactrium_chestplate',
                    D: 'armageddon_mod:helionite_armor_chestplate',
                    B: 'composite_material:etherite_chestplate',
                    C: 'ancient_elements:alloy_of_elements'
            }
    )
    event.shaped(
            Item.of('ancient_elements:aeonite_leggings'),
            [
                    ' A ',
                    'BCD',
                    ' E '
            ],
            {
                    E: 'allthemodium:unobtainium_leggings',
                    B: 'composite_material:etherite_leggings',
                    A: 'ancient_elements:galactrium_leggings',
                    D: 'armageddon_mod:helionite_armor_leggings',
                    C: 'ancient_elements:alloy_of_elements'
            }
    )
    event.shaped(
            Item.of('ancient_elements:aeonite_boots'),
            [
                    ' A ',
                    'BCD',
                    ' E '
            ],
            {
                    E: 'allthemodium:unobtainium_boots',
                    A: 'ancient_elements:galactrium_boots',
                    B: 'composite_material:etherite_boots',
                    C: 'ancient_elements:alloy_of_elements',
                    D: 'armageddon_mod:helionite_armor_boots'
            }
    )
    event.shaped(
            Item.of('brutality:royal_guardian_sword'),
            [
                    ' AB',
                    'CBD',
                    'EC '
            ],
            {
                    D: 'ancient_elements:hellstone_sword',
                    A: 'armageddon_mod:true_helionite_sword',
                    B: 'cataclysm:essence_of_the_storm',
                    E: 'lethality:gaels_greatsword',
                    C: 'armageddon_mod:shadowed_ingot'
            }
    )
    event.shaped(
            Item.of('armageddon_mod:true_helionite_sword'),
            [
                    '  A',
                    'BC ',
                    'DB '
            ],
            {
                    B: 'armageddon_mod:helionite_ingot',
                    D: 'armageddon_mod:rustyswordofthelegendaryhero',
                    A: 'armageddon_mod:umbral_sun',
                    C: 'armageddon_mod:helionite_sword'
            }
    )
    event.shaped(
            Item.of('lethality:vehemence'),
            [
                    ' AA',
                    'ABC',
                    'D  '
            ],
            {
                    A: 'lethality:annihilation_alloy',
                    C: 'terramity:hellspec_alloy',
                    B: 'terramity:sword_of_the_imprisoned',
                    D: 'composite_material:etherite_shovel'
            }
    )
    event.shaped(
            Item.of('lethality:real_knife'),
            [
                    ' AA',
                    'BBC',
                    'D  '
            ],
            {
                    B: 'armageddon_mod:bloody_ingot',
                    C: 'terramity:decayed_bedrock_dust',
                    D: 'terramity:hellspec_sword',
                    A: 'terramity:hellspec_alloy'
            }
    )
    event.shaped(
            Item.of('kubejs:apollyon_full'),
            [
                    'ABC',
                    'DDD',
                    'EFG'
            ],
            {
                    C: 'kubejs:apollyon_top_right',
                    G: 'kubejs:apollyon_bottom_right',
                    E: 'kubejs:apollyon_bottom_left',
                    F: 'kubejs:apollyon_bottom_mid',
                    A: 'kubejs:apollyon_top_left',
                    B: 'kubejs:apollyon_top_mid',
                    D: 'armageddon_mod:shadowed_ingot'
            }
    )
    event.shaped(
            Item.of('explorerscompass:explorerscompass'),
            [
                    'ABA',
                    'CDE',
                    'AFA'
            ],
            {
                    A: 'minecraft:netherite_ingot',
                    E: 'minecraft:ender_pearl',
                    C: 'minecraft:ender_pearl',
                    D: 'minecraft:compass',
                    B: 'minecraft:ender_pearl',
                    F: 'minecraft:ender_pearl'
            }
    )
    event.shaped(
            Item.of('enigmaticlegacy:enigmatic_elytra'),
            [
                    'ABA',
                    'CDC',
                    'EFE'
            ],
            {
                    C: 'bossesunleashed:celestial_jelly',
                    F: 'enigmaticlegacy:eye_of_nebula',
                    A: 'minecraft:dragon_breath',
                    E: 'enigmaticlegacy:astral_dust',
                    B: 'enigmaticlegacy:angel_blessing',
                    D: 'minecraft:elytra'
            }
    )
    event.shapeless(
            Item.of('ancient_elements:aeonite_helmet'),
            [
                    'bossesunleashed:celestial_jellyfish_mask'
            ]
    )
    event.shapeless(
            Item.of('ancient_elements:aeonite_chestplate'),
            [
                    'bossesunleashed:celestial_jellyfish_chestplate'
            ]
    )
    event.shapeless(
            Item.of('ancient_elements:aeonite_leggings'),
            [
                    'bossesunleashed:celestial_jellyfish_leggings'
            ]
    )
    event.shapeless(
            Item.of('ancient_elements:aeonite_boots'),
            [
                    'bossesunleashed:celestial_jellyfish_boots'
            ]
    )
    event.shaped(
            Item.of('minecraft:stone_sword'),
            [
                    ' A ',
                    ' A ',
                    ' B '
            ],
            {
                    A: 'minecraft:cobbled_deepslate',
                    B: 'minecraft:stick'
            }
    )
    event.shaped(
            Item.of('terramity:sword_of_the_imprisoned'),
            [
                    'ABC',
                    'DEB',
                    'FDG'
            ],
            {
                    E: 'terramity:hero_sword',
                    G: 'ancient_elements:galactrium_sword',
                    B: 'terramity:void_alloy',
                    A: 'lethality:miasma',
                    C: 'composite_material:echoium_sword',
                    D: 'terramity:exodium_superalloy',
                    F: 'lethality:defiled_greatsword'
            }
    )
    event.shaped(
            Item.of('armageddon_mod:voiderite_bricks_slab'),
            [
                    '   ',
                    'AAA',
                    'AAA'
            ],
            {
                    A: 'armageddon_mod:voiderite_bricks'
            }
    ).result('6x armageddon_mod:voiderite_bricks_slab');
    event.shaped(
            Item.of('armageddon_mod:elvenite_bricks_slab'),
            [
                    '   ',
                    'AAA',
                    'AAA'
            ],
            {
                    A: 'armageddon_mod:elvenite_bricks'
            }
    ).result('6x armageddon_mod:elvenite_bricks_slab');
    event.shapeless(
            Item.of('armageddon_mod:helionite_bricks'),
            [
                    'armageddon_mod:chiseled_helionite_bricks',
                    'armageddon_mod:chiseled_helionite_bricks',
                    'armageddon_mod:chiseled_helionite_bricks',
                    'armageddon_mod:chiseled_helionite_bricks'
            ]
    ).result('8x armageddon_mod:helionite_bricks');
    event.shaped(
            Item.of('armageddon_mod:helionite_bricks'),
            [
                    'AAA',
                    'ABA',
                    'AAA'
            ],
            {
                    B: 'armageddon_mod:helionite_ingot',
                    A: 'minecraft:stone_bricks'
            }
    ).result('8x armageddon_mod:helionite_bricks');
    event.shapeless(
            Item.of('armageddon_mod:mossy_helionite_stairs'),
            [
                    'armageddon_mod:helionite_bricks_stairs',
                    'minecraft:moss_block'
            ]
    )
    event.shapeless(
            Item.of('armageddon_mod:mossy_helionite_stairs'),
            [
                    'armageddon_mod:helionite_bricks_stairs',
                    'minecraft:vine'
            ]
    )
    event.shapeless(
            Item.of('armageddon_mod:mossy_helionite_bricks'),
            [
                    'armageddon_mod:helionite_bricks',
                    'minecraft:vine'
            ]
    )
    event.shapeless(
            Item.of('armageddon_mod:mossy_helionite_bricks'),
            [
                    'armageddon_mod:helionite_bricks',
                    'minecraft:moss_block'
            ]
    )
    event.shapeless(
            Item.of('armageddon_mod:bloody_bricks'),
            [
                    'armageddon_mod:chiseled_bloody_bricks',
                    'armageddon_mod:chiseled_bloody_bricks',
                    'armageddon_mod:chiseled_bloody_bricks',
                    'armageddon_mod:chiseled_bloody_bricks'
            ]
    ).result('8x armageddon_mod:bloody_bricks');
    event.shaped(
            Item.of('armageddon_mod:bloody_bricks'),
            [
                    'AAA',
                    'ABA',
                    'AAA'
            ],
            {
                    B: 'armageddon_mod:bloody_ingot',
                    A: 'minecraft:stone_bricks'
            }
    ).result('8x armageddon_mod:bloody_bricks');
    event.shaped(
            Item.of('armageddon_mod:mossy_bloody_stairs'),
            [
                    '   ',
                    'AB ',
                    '   '
            ],
            {
                    B: 'minecraft:vine',
                    A: 'armageddon_mod:bloody_bricks_stairs'
            }
    )
    event.shaped(
            Item.of('armageddon_mod:mossy_bloody_stairs'),
            [
                    '   ',
                    'AB ',
                    '   '
            ],
            {
                    A: 'armageddon_mod:bloody_bricks_stairs',
                    B: 'minecraft:moss_block'
            }
    )
    event.shaped(
            Item.of('armageddon_mod:mossy_bloody_bricks'),
            [
                    '   ',
                    'AB ',
                    '   '
            ],
            {
                    A: 'armageddon_mod:bloody_bricks',
                    B: 'minecraft:moss_block'
            }
    )
    event.shaped(
            Item.of('armageddon_mod:mossy_bloody_bricks'),
            [
                    '   ',
                    'AB ',
                    '   '
            ],
            {
                    B: 'minecraft:vine',
                    A: 'armageddon_mod:bloody_bricks'
            }
    )
    event.shaped(
            Item.of('armageddon_mod:helionite_paxel'),
            [
                    'ABC',
                    ' D ',
                    ' D '
            ],
            {
                    B: 'armageddon_mod:helionite_shovel',
                    A: 'armageddon_mod:helionite_axe',
                    D: 'minecraft:stick',
                    C: 'armageddon_mod:helionite_pickaxe'
            }
    )
    event.shaped(
            Item.of('minecraft:name_tag'),
            [
                    '  A',
                    ' B ',
                    'C  '
            ],
            {
                    B: 'minecraft:iron_ingot',
                    C: 'minecraft:paper',
                    A: 'minecraft:string'
            }
    )
    event.shaped(
            Item.of('kubejs:heart_of_the_undergarden'),
            [
                    'ABA',
                    'BCB',
                    'ABA'
            ],
            {
                    A: 'minecraft:green_dye',
                    C: 'minecraft:heart_of_the_sea',
                    B: 'minecraft:deepslate'
            }
    )
    event.shaped(
            Item.of('kubejs:heart_of_the_nether'),
            [
                    'ABA',
                    'BCB',
                    'ABA'
            ],
            {
                    B: 'undergarden:utherium_crystal',
                    A: 'minecraft:redstone',
                    C: 'kubejs:heart_of_the_undergarden'
            }
    )
    event.shaped(
            Item.of('kubejs:heart_of_the_aether'),
            [
                    'ABA',
                    'BCB',
                    'ABA'
            ],
            {
                    C: 'kubejs:heart_of_the_nether',
                    A: 'minecraft:blaze_rod',
                    B: 'minecraft:glowstone'
            }
    )
    event.shaped(
            Item.of('terramity:sacred_speed_bracelets'),
            [
                    'ABA',
                    'CDC',
                    'EBE'
            ],
            {
                    B: 'terramity:angel_feather',
                    E: 'terramity:reverium',
                    D: 'terramity:electron_bracelets',
                    A: 'ancient_elements:alloy_of_elements',
                    C: 'ancient_elements:spectrillium_ingot'
            }
    )
    event.shaped(
            Item.of('lethality:violence'),
            [
                    ' AB',
                    'CBA',
                    'DC '
            ],
            {
                    C: 'lethality:annihilation_alloy',
                    D: 'composite_material:etherite_wand',
                    B: 'terramity:hellspec_alloy',
                    A: 'terramity:spiteful_soul'
            }
    )
    event.shaped(
            Item.of('lethality:hf_meowrasama'),
            [
                    ' AB',
                    'ACA',
                    'DA '
            ],
            {
                    A: 'lethality:pixie_alloy',
                    C: 'terramity:conductite_sword',
                    D: 'terramity:simmeredge',
                    B: 'ancient_elements:alloy_of_elements'
            }
    )
    event.shaped(
            Item.of('brutality:gluttony'),
            [
                    'ABA',
                    'BCB',
                    'ABA'
            ],
            {
                    C: 'minecraft:emerald',
                    B: 'terramity:virentium_alloy_ingot',
                    A: 'armageddon_mod:shadowed_ingot'
            }
    )
    event.shaped(
            Item.of('summoningrituals:altar'),
            [
                    'ABA',
                    ' C ',
                    'DDD'
            ],
            {
                    A: 'minecraft:gold_ingot',
                    D: 'minecraft:dark_oak_planks',
                    C: 'minecraft:cobbled_deepslate',
                    B: 'minecraft:red_wool'
            }
    )
    event.shaped(
            Item.of('tiered:galena_chunk'),
            [
                    ' A ',
                    'ABA',
                    ' A '
            ],
            {
                    A: 'tiered:pyrite_chunk',
                    B: 'armageddon_mod:shadowed_ingot'
            }
    )
    event.shaped(
            Item.of('tiered:pyrite_chunk', 2),
            [
                    ' A ',
                    'ABA',
                    ' C '
            ],
            {
                    A: 'minecraft:gold_ingot',
                    B: 'tiered:pyrite_chunk',
                    C: 'minecraft:netherite_ingot'
            }
    )
    event.shaped(
            Item.of('lethality:starlight'),
            [
                    '  A',
                    'BA ',
                    'CD '
            ],
            {
                    B: 'composite_material:etherite_sword',
                    A: 'terramity:reverium',
                    C: 'lethality:hf_meowrasama',
                    D: 'lethality:devils_devastation'
            }
    )
});